Get Available Sentinel Version

Get Available Sentinel Version
Retrieves the sentinel software version available for upgrade.

Retrieves the sentinel software version available for upgrade.

Request
URI
GET
https://{server}/hybridity/api/availableSentinelVersion
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns availableSentinelVersionResponse of type(s) application/json
{
    "linuxSentinelVersion": "string",
    "windowsSentinelVersion": "string",
    "compatibilityInfo": {
        "minSGWVersion": "3.5.2.12345",
        "minSDRVersion": "3.5.2.54367"
    }
}
string
linuxSentinelVersion
Optional

Version of the Linux sentinel software available for upgrade.

string
windowsSentinelVersion
Optional

Version of the Windows sentinel software available for upgrade.

object
compatibilityInfo
Optional

compatibilityInfo


401

Unauthorized

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/availableSentinelVersion